Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001097Core InformKinds and type checkingpublic2013-04-06 18:552014-05-07 07:34
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001097: Internal error incrementing a relation
DescriptionThe attached source (from a bungled code update) provokes

- - - -
An internal error has occurred: pointer value increments not implemented. The current sentence is 'increment the priority of the location' ; the error was detected at line 568 of "Chapter 16/STORAGE Specifications.w".
- - - -
Minimal Source Text To Reproduce
There is a room.
A person has a relation of rooms to numbers called priority.
Every turn:
	increment the priority of the location.
Additional InformationSee also 0000366:0001454.
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships
related to 0000366closedgraham Compiler accepts modifications to constant lists and other putative r-values 

-  Notes
(0002241)
graham (administrator)
2014-01-04 08:12

A proper problem message is now issued.

- Issue History
Date Modified Username Field Change
2013-04-06 18:55 EmacsUser New Issue
2013-04-06 18:55 EmacsUser Relationship added related to 0000366
2013-04-07 14:34 jmcgrew Status new => confirmed
2014-01-04 08:12 graham Note Added: 0002241
2014-01-04 08:12 graham Status confirmed => resolved
2014-01-04 08:12 graham Resolution open => fixed
2014-01-04 08:12 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker